Mailinglist Archive: opensuse (4547 mails)

< Previous Next >
Re: [SLE] apt conflict
  • From: Richard Bos <radoeka@xxxxxxxxx>
  • Date: Tue, 18 May 2004 20:35:47 +0200
  • Message-id: <200405182035.48014.radoeka@xxxxxxxxx>
Op dinsdag 18 mei 2004 06:09, schreef Bob S.:
> I normally download first and when all together I do a normal apt-get
> upgrade.  Got this message tonight trying to install/upgrade the
> packages:
> ------------------------------------------------------------------------
> Executing RPM (-Uvh)...
> file /opt/kde3/share/mimelnk/application/vnd.sun.xml.calc.desktop from
> install of kdelibs3-3.2.2-2 conflicts with file from package
> susewm-3.6.0-232
> file /opt/kde3/share/mimelnk/application/vnd.sun.xml.draw.desktop from
> install of kdelibs3-3.2.2-2 conflicts with file from package
> susewm-3.6.0-232
> file /opt/kde3/share/mimelnk/application/vnd.sun.xml.impress.desktop
> from install of kdelibs3-3.2.2-2 conflicts with file from package
> susewm-3.6.0-232
> file /opt/kde3/share/mimelnk/application/vnd.sun.xml.writer.desktop from
> install of kdelibs3-3.2.2-2 conflicts with file from package
> susewm-3.6.0-232
> E: Sub-process /bin/rpm returned an error code (66)
> linux:/ #
> -------------------------------------------------------------------------
> No clue on how to resolve this. Thought apt-get was supposed to do that
> on it's own.  Any ideas - suggestions??

It's an rpm error (being called by apt for assistance). You should consider
this as a rpm package bug. However, as you're installing from the suse's
supplementary directory (most likely) there is no support for this.

You can use 'apt --force-rpm ...' to get the pkgs installed.

--
Richard Bos
Without a home the journey is endless


< Previous Next >
Follow Ups
References